#
# spec file for package ghc-base-compat
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name base-compat
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.9.1
Release:        8.59
Summary:        A compatibility layer for base
License:        MIT
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-unix-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-hspec-devel
%endif

%description
Provides functions available in later versions of 'base' to a wider range of
compilers, without requiring you to use CPP pragmas in your code. See the
<https://github.com/haskell-compat/base-compat#readme README> for what is
covered. Also see the
<https://github.com/haskell-compat/base-compat/blob/master/CHANGES.markdown
changelog> for recent changes.

Note that 'base-compat' does not add any orphan instances. There is a separate
package, '<http://hackage.haskell.org/package/base-orphans base-orphans>', for
that.

In addition, `base-compat` does not backport any data types or type classes.
See '<https://github.com/haskell-compat/base-compat#data-types-and-type-classes
this section of the README>' for more info.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGES.markdown README.markdown

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.9.1 revision 0 with cabal2obs.
* Tue Apr 12 2016 mimi.vx@gmail.com
- update to 0.9.1
  * Use the more efficient version of replicateM and replicateM_ introduced in base-4.9
* Wed Jan 20 2016 mimi.vx@gmail.com
- update to 0.9.0
  * Sync with base-4.9/GHC 8.0
  * Weakened RealFloat constraints on realPart, imagPart, conjugate, mkPolar, and cis
  in Data.Complex.Compat
  * Backport Foreign.ForeignPtr.Safe and Foreign.Marshal.Safe
  * Generalize filterM, forever, mapAndUnzipM, zipWithM, zipWithM_, replicateM,
  and replicateM_ in Control.Monad from Monad to Applicative
  * Backport .Unsafe.Compat modules (for Control.Monad.ST, Control.Monad.ST.Lazy,
  Foreign.ForeignPtr, and Foreign.Marshal)
  * Backport forkFinally and forkOSWithUnmask to Control.Concurrent.Compat
  * Backport Data.Functor.Const
  * Backport modifyIORef', atomicModifyIORef' and atomicWriteIORef to Data.IORef.Compat
  * Data.Ratio.{denominator,numerator} have no Integral constraint anymore
  * Backport modifySTRef' to Data.STRef.Compat
  * Export String, lines, words, unlines, and unwords to Data.String.Compat
  * Generalize Debug.Trace.{traceM, traceShowM} from Monad to Applicative
  * Backport errorWithoutStackTrace to Prelude.Compat
  * Backport unsafeFixIO and unsafeDupablePerformIO to System.IO.Unsafe.Compat
* Tue Dec 15 2015 mimi.vx@gmail.com
- initial commit
